Bug 969515 (CVE-2013-2851) - CVE-2013-2851 kernel: block: passing disk names as format strings
Summary: CVE-2013-2851 kernel: block: passing disk names as format strings
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-2851
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 971371 971372 971373 971374 971662 998408 998409
Blocks: 969516
TreeView+ depends on / blocked
 
Reported: 2013-05-31 16:13 UTC by Petr Matousek
Modified: 2019-09-29 13:05 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-24 16:59:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1264 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2013-09-16 21:01:17 UTC
Red Hat Product Errata RHSA-2013:1645 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 6 kernel update 2013-11-20 22:04:18 UTC
Red Hat Product Errata RHSA-2013:1783 normal SHIPPED_LIVE Important: kernel security and bug fix update 2013-12-05 22:07:09 UTC
Red Hat Product Errata RHSA-2014:0284 normal SHIPPED_LIVE Important: kernel security and bug fix update 2014-03-11 21:07:13 UTC

Description Petr Matousek 2013-05-31 16:13:48 UTC
A flaw was found in the way certain disk names were interpreted by the Linux kernel. 

Block layer uses the "disk_name" field as a format string in a number of places. While this is normally not a problem due to how disk names are created (statically or incrementally), there is currently at least one way to define nearly arbitrary names via md.

A privileged (uid 0) local user could potentially use this flaw to execute code at ring0.

Acknowledgements:

Red Hat would like to thank Kees Cook for reporting this issue.

Comment 3 Petr Matousek 2013-06-06 11:24:21 UTC
Statement:

This issue does not affect the versions of the Linux kernel as shipped with Red Hat Enterprise Linux 5.

This issue does affect the versions of the Linux kernel as shipped with Red Hat Enterprise Linux 6, and Red Hat Enterprise MRG. Future updates for Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG may address this issue.

Comment 6 Petr Matousek 2013-06-07 06:04:20 UTC
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 971662]

Comment 8 Fedora Update System 2013-06-13 06:03:59 UTC
kernel-3.9.5-201.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2013-06-14 04:51:47 UTC
kernel-3.9.5-301.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2013-07-01 01:33:41 UTC
kernel-3.9.8-100.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 errata-xmlrpc 2013-09-16 17:05:24 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2013:1264 https://rhn.redhat.com/errata/RHSA-2013-1264.html

Comment 13 errata-xmlrpc 2013-11-21 18:50:19 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1645 https://rhn.redhat.com/errata/RHSA-2013-1645.html

Comment 14 errata-xmlrpc 2013-12-05 17:09:51 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6.3 EUS - Server and Compute Node Only

Via RHSA-2013:1783 https://rhn.redhat.com/errata/RHSA-2013-1783.html

Comment 15 errata-xmlrpc 2014-03-11 17:07:32 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6.4 EUS - Server and Compute Node Only

Via RHSA-2014:0284 https://rhn.redhat.com/errata/RHSA-2014-0284.html


Note You need to log in before you can comment on or make changes to this bug.